com.sun.jna

## Class FromNativeContext

- java.lang.Object
- - com.sun.jna.FromNativeContext

- Direct Known Subclasses:
    CallbackParameterContext, FunctionResultContext, StructureReadContext

      public class FromNativeContext
      extends java.lang.Object

  Provides context for converting a native value into a Java type.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FromNativeContext(java.lang.Class javaType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class` | `getTargetType()` The desired Java type of the result.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FromNativeContext

          FromNativeContext(java.lang.Class javaType)

  - ### Method Detail

    - #### getTargetType

          public java.lang.Class getTargetType()

      The desired Java type of the result.

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.